"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetTagKeys_1 = require("../model/operations/GetTagKeys");
class GetTagKeysCommand {
    constructor(input) {
        this.input = input;
        this.model = GetTagKeys_1.GetTagKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetTagKeysCommand = GetTagKeysCommand;
//# sourceMappingURL=GetTagKeysCommand.js.map