"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetTagValues_1 = require("../model/operations/GetTagValues");
class GetTagValuesCommand {
    constructor(input) {
        this.input = input;
        this.model = GetTagValues_1.GetTagValues;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetTagValuesCommand = GetTagValuesCommand;
//# sourceMappingURL=GetTagValuesCommand.js.map