"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UntagResources_1 = require("../model/operations/UntagResources");
class UntagResourcesCommand {
    constructor(input) {
        this.input = input;
        this.model = UntagResources_1.UntagResources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UntagResourcesCommand = UntagResourcesCommand;
//# sourceMappingURL=UntagResourcesCommand.js.map